MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024872Open CASCADE[OCCT] OCCT:Visualizationpublic2014-04-25 15:082014-11-11 12:53
Reporterdbp 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024872: Support of emission color in Phong shader and ray-tracing
DescriptionCurrent versions of Phong shader and ray-tracing ignore material emission. As a result, some materials (like neon) look black.
Steps To Reproduce
source $env(CASROOT)/samples/tcl/materials.tcl
vshaderprog phong


source $env(CASROOT)/samples/tcl/materials.tcl
vrenderparams -raytrace

Bug - neon_phc material is drawn with wrong color (almost black) when either Phong shader or RayTrace mode is enabled.
TagsNo tags attached.
Test case numberv3d materials(015) bug24872_1, bug24872_2
Attached Files

- Relationships
related to 0024855closedapn Revision of parameters of standard materials 

-  Notes
(0030151)
git (administrator)
2014-07-15 11:20

Branch CR24872 has been created by duv.

SHA-1: 8b1098f3a011cbe25c66cfba6a968c4042a3e386
(0030152)
duv (developer)
2014-07-15 11:22

Dear kgv,

Please look at the patch.
(0030154)
git (administrator)
2014-07-15 12:08

Branch CR24872 has been updated forcibly by duv.

SHA-1: b6c1dcc8ae532f6f2d36504e433aa71ecf2d30ea
(0030157)
kgv (developer)
2014-07-15 12:26

Please test the patch.
(0030240)
mkv (tester)
2014-07-17 19:46

Dear BugMaster,

Branch CR24872 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: b6c1dcc8ae532f6f2d36504e433aa71ecf2d30ea

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:

http://occt-tests/CR24872-master-occt/Debian60-64/v3d/materials/bug24872_1.html [^]
http://occt-tests/CR24872-master-occt/Windows-32-VC9/v3d/materials/bug24872_1.html [^]
v3d materials(015) bug24872_1: OK

http://occt-tests/CR24872-master-occt/Debian60-64/v3d/materials/bug24872_2.html [^]
http://occt-tests/CR24872-master-occt/Windows-32-VC9/v3d/materials/bug24872_2.html [^]
v3d materials(015) bug24872_2: OK

Testing on Linux:
Total MEMORY difference: 352514980 / 352298144
Total CPU difference: 62443.69999999963 / 54524.60999999987

Testing on Windows:
Total MEMORY difference: 377498916 / 378502168
Total CPU difference: 51420.078125 / 46775.625

There are following differences in images found by testdiff.
http://occt-tests/CR24872-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24872-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE v3d materials bug24855: bug24855_phong_neon_phc.png differs
IMAGE v3d materials bug24855: bug24855_rt_neon_phc.png differs
(0030241)
git (administrator)
2014-07-17 19:50

Branch CR24872 has been updated by mkv.

SHA-1: 9cf19316b6ec83ca05e8c19dca248e1b81a7c067
(0030446)
git (administrator)
2014-07-28 16:42

Branch CR24872 has been deleted by inv.

SHA-1: 9cf19316b6ec83ca05e8c19dca248e1b81a7c067

- Related Changesets
occt: master 0e330c8c
Timestamp: 2014-07-24 08:56:42
Author: duv
Committer: bugmaster
Details ] Diff ]
0024872: Support of emission color in Phong shader and ray-tracing

Test cases for issue CR24872
mod - src/Shaders/PhongShading.fs Diff ] File ]
mod - src/Shaders/RaytraceBase.fs Diff ] File ]
add - tests/v3d/materials/bug24872_1 Diff ] File ]
add - tests/v3d/materials/bug24872_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-25 15:08 dbp New Issue
2014-04-25 15:08 dbp Assigned To => dbp
2014-04-28 10:55 abv Target Version 6.7.1 => 6.8.0
2014-07-11 12:24 dbp Assigned To dbp =>
2014-07-11 12:24 dbp Assigned To => duv
2014-07-11 14:55 duv Status new => assigned
2014-07-15 11:20 git Note Added: 0030151
2014-07-15 11:22 duv Note Added: 0030152
2014-07-15 11:22 duv Assigned To duv => kgv
2014-07-15 11:22 duv Status assigned => resolved
2014-07-15 12:08 git Note Added: 0030154
2014-07-15 12:14 kgv Relationship added related to 0024855
2014-07-15 12:23 kgv Steps to Reproduce Updated View Revisions
2014-07-15 12:26 kgv Note Added: 0030157
2014-07-15 12:26 kgv Assigned To kgv => bugmaster
2014-07-15 12:26 kgv Status resolved => reviewed
2014-07-15 12:27 kgv Steps to Reproduce Updated View Revisions
2014-07-15 19:16 mkv Assigned To bugmaster => mkv
2014-07-17 19:46 mkv Note Added: 0030240
2014-07-17 19:50 git Note Added: 0030241
2014-07-17 19:52 mkv Test case number => v3d materials(015) bug24872_1, bug24872_2
2014-07-17 19:52 mkv Assigned To mkv => bugmaster
2014-07-17 19:52 mkv Status reviewed => tested
2014-07-25 14:45 bugmaster Changeset attached => occt master 0e330c8c
2014-07-25 14:45 bugmaster Status tested => verified
2014-07-25 14:45 bugmaster Resolution open => fixed
2014-07-28 16:42 git Note Added: 0030446
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:53 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker